VOP_IOCTL(9)

NAME
VOP_IOCTL - device specific control

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
VOP_IOCTL(struct vnode *vp, u_long command, caddr_t data, int fflag, struct ucred *cred, struct thread *td);

DESCRIPTION
Manipulate a file in device dependent ways.

Its arguments are:

vp  The vnode of the file (normally representing a device).

command
    The device specific operation to perform.

data
    Extra data for the specified operation.

fflag
    Some flags ???

cred
    The caller's credentials.

td  The calling thread.

Most file systems do not implement this entry point.

LOCKS
The file should not be locked on entry.

RETURN VALUES
If successful, zero is returned, otherwise an appropriate error code.

If the ioctl is not recognized or not handled, ENOTTY should be returned.

SEE ALSO
vnode(9)

AUTHORS
This manual page was written by Doug Rabson.